This page describes how to manage Goldengate deployments in Google Cloud.
Before you begin
Make sure that you have the required Identity and Access Management (IAM) roles and permissions to perform the tasks described in this page:
roles/oracledatabase.goldenGateDeploymentAdminroles/oracledatabase.goldenGateDeploymentViewer
For information on how to assign roles, see Apply IAM roles.
View deployment details
To view information about your Goldengate deployments, do the following:
Console
Go to the Goldengate page.
Select the Deployments tab.
The Deployment section shows you the list of deployments.
To view details of a deployment, click the name of the deployment.
gcloud
List deployments
Use the
gcloud oracle-database goldengate-deployments listcommand to list deployments.gcloud oracle-database goldengate-deployments list \ --project=PROJECT_ID \ --location=REGIONReplace the following:
- PROJECT_ID: the ID of your Google Cloud project. If you're using a Shared VPC, then this is the ID of your host project.
- REGION: the region where you want to view the deployments.
View deployment details
Use the
gcloud oracle-database goldengate-deployments describecommand to view details of a deployment.gcloud oracle-database goldengate-deployments describe DEPLOYMENT_ID \ --project=PROJECT_ID \ --location=REGIONReplace the following:
- DEPLOYMENT_ID: the ID of the deployment.
- PROJECT_ID: the ID of your Google Cloud project. If you're using a Shared VPC, then this is the ID of your host project.
- REGION: the region where your deployment is located.
API
List Goldengate deployments
To list deployments, run the following
curlcommand:curl -X GET \ -H "Authorization: Bearer $(gcloud auth print-access-token)" \ -H "Content-Type: application/json" \ "https://oracledatabase.googleapis.com/v1/projects/PROJECT_ID/locations/REGION/goldengateDeployments"
Replace the following:
- PROJECT_ID: the ID of your Google Cloud project. If you're using a Shared VPC, then this project ID is the ID of your host project.
- REGION: the region where you want to view the deployments.
View Goldengate deployment details
To view details of a deployment, run the following
curlcommand:curl -X GET \ -H "Authorization: Bearer $(gcloud auth print-access-token)" \ -H "Content-Type: application/json" \ "https://oracledatabase.googleapis.com/v1/projects/PROJECT_ID/locations/REGION/goldengateDeployments/DEPLOYMENT_ID"
Replace DEPLOYMENT_ID with the ID of your deployment.
Start a deployment
Starting an instance allows connections and operations.
To start a Goldengate deployment instance, do the following:
gcloud
Use the gcloud oracle-database goldengate-deployments start
command to start a deployment instance.
gcloud oracle-database goldengate-deployments start DEPLOYMENT_ID \
--project=PROJECT_ID \
--location=REGION \
Replace the following:
- DEPLOYMENT_ID: the ID of your deployment
- PROJECT_ID: the ID of your Google Cloud project
- REGION: the region where your deployment is located
API
To start a Goldengate deployment instance, run the following curl command:
curl -X POST \ -H "Authorization: Bearer $(gcloud auth print-access-token)" \ -H "Content-Type: application/json" \ "https://oracledatabase.googleapis.com/v1/projects/PROJECT_ID/locations/REGION/goldengateDeployments/DEPLOYMENT_ID:start"
Replace the following:
- PROJECT_ID: the ID of your Google Cloud project.
- REGION: the region where your deployment is located.
- DEPLOYMENT_ID: the ID of your deployment.
A deployment instance continues to run until you stop it.
Stop a deployment
Stopping a deployment shuts down the deployment instance, along with its connections, open files, and running operations. It remains stopped until you restart it.
To stop a Goldengate deployment, do the following:
gcloud
Use the gcloud oracle-database goldengate-deployments stop
command to stop a deployment instance.
gcloud oracle-database goldengate-deployments stop DEPLOYMENT_ID \
--project=PROJECT_ID \
--location=REGION \
Replace the following:
- DEPLOYMENT_ID: the ID of your deployment
- PROJECT_ID: the ID of your Google Cloud project
- REGION: the region where your deployment is located
API
To stop a Goldengate deployment, run the following curl command:
curl -X POST \ -H "Authorization: Bearer $(gcloud auth print-access-token)" \ -H "Content-Type: application/json" \ "https://oracledatabase.googleapis.com/v1/projects/PROJECT_ID/locations/REGION/goldengateDeployments/DEPLOYMENT_ID:stop"
Replace the following:
- PROJECT_ID: the ID of your Google Cloud project which contains your deployment
- REGION: the region where your deployment is located
- DEPLOYMENT_ID: the ID of your deployment
Modify a deployment
You can modify your Goldengate deployment in the OCI console. To modify a deployment in the OCI console, do the following:
Go to the Goldengate page.
Select the Deployments tab.
The Deployment section shows you the list of deployments.
For the deployment which you want to modify, click View actions, and then click Manage in OCI.
You're redirected to the OCI page to modify your Goldengate deployment.
Delete a deployment
Deleting a deployment also deletes its connection assignment.
To delete a deployment, do the following:
Console
Go to the Goldengate page.
Select the Deployments tab.
For the deployment which you want to delete, click View actions, and then click Delete.
In the Delete deployment? dialog, type the deployment ID to confirm the deletion of your deployment.
Click Confirm.
gcloud
Use the gcloud oracle-database goldengate-deployments delete command to
delete a deployment.
gcloud oracle-database goldengate-deployments delete DEPLOYMENT_ID \
--project=PROJECT_ID \
--location=REGION
Replace the following:
- DEPLOYMENT_ID: the ID of the deployment.
- PROJECT_ID: the ID of your Google Cloud project. If you're using a Shared VPC, then this is the ID of your host project.
- REGION: the region where your deployment is located.
API
To delete a Goldengate deployment, run the following curl command:
curl -X DELETE \ -H "Authorization: Bearer $(gcloud auth print-access-token)" \ -H "Content-Type: application/json" \ "https://oracledatabase.googleapis.com/v1/projects/PROJECT_ID/locations/REGION/goldengateDeployments/DEPLOYMENT_ID"
Replace the following:
- PROJECT_ID: the ID of your Google Cloud project which contains the deployment to be deleted. If you're using a Shared VPC, then this is the ID of your host project.
- REGION: the region where your deployment is located.
- DEPLOYMENT_ID: the ID of your deployment.